BasicPathUsageException (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.criteria
Class BasicPathUsageException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.ejb.criteria.BasicPathUsageException

All Implemented Interfaces:
  Serializable

    public class BasicPathUsageException

extends RuntimeException

Represents an incorrect usage of a basic path. Generally this means an attempt to de-reference a basic attribute path.

See Also:
  Serialized Form

Constructor Summary
`BasicPathUsageException(String message, Attribute<?,?> attribute)` Construct the usage exception.
`BasicPathUsageException(String message, Throwable cause, Attribute<?,?> attribute)` Construct the usage exception.

Method Summary
`Attribute<?,?>` | `getAttribute()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BasicPathUsageException

    public BasicPathUsageException(String message,
                                   Attribute<?,?> attribute)

  Construct the usage exception.

  Parameters:
    `message` - An error message describing the incorrect usage.
    `attribute` - The basic attribute involved.

### BasicPathUsageException

    public BasicPathUsageException(String message,
                                   Throwable cause,
                                   Attribute<?,?> attribute)

  Construct the usage exception.

  Parameters:
    `message` - An error message describing the incorrect usage.
    `cause` - An underlying cause.
    `attribute` - The basic attribute involved.

Method Detail

### getAttribute

    public Attribute<?,?> getAttribute()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.